/***
The MIT License (MIT)

Copyright (c) 2014 Tuur Dutoit

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
***/


using Granite.Widgets;

namespace Writer.Widgets {
    public class WelcomeView : Welcome {
    
        private WriterApp app;
        
        public WelcomeView (WriterApp app) {
            base ("No Documents Open", "Open a saved file or create a new one to begin!");
            
            this.app = app;
            
            this.append ("document-new", "New File", "Create a new empty file.");
            this.append ("document-open", "Open File", "Open a saved file.");
            
            this.activated.connect ((index) => {
                // TODO
                // Open recent
                if(index == 0) {
                    app.new_file ();
                }
                else {
                    app.open_file_dialog ();
                }
            });
        }
    
    }
}